//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\OleCtnrs.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <vcl\Dialogs.hpp>
#include "RVStyle.hpp"
#include "RVMisc.hpp"
#include <Graphics.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TButton *bnnOpen;
    TButton *btnFind;
    TButton *btnReplace;
    TRichViewEdit *rve;
    TOpenDialog *OpenDialog1;
    TRVStyle *RVStyle1;
    TImageList *il;
    TFindDialog *fd;
    TReplaceDialog *rd;
    void __fastcall btnReplaceClick(TObject *Sender);
    void __fastcall rdFind(TObject *Sender);
    void __fastcall rdReplace(TObject *Sender);
    void __fastcall btnFindClick(TObject *Sender);
    void __fastcall fdFind(TObject *Sender);
    void __fastcall rveRVFImageListNeeded(TCustomRichView *Sender,
    int ImageListTag, TCustomImageList *&il);
    void __fastcall bnnOpenClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
